STRUCT KEY_ENTRY(9)

NAME
struct_key_entry - keymap entry for use in sparse keymap

SYNOPSIS

struct key_entry {
  int type;
  u32 code;
  union {unnamed_union};
};

MEMBERS

type
    Type of the key entry (KE_KEY, KE_SW, KE_VSW, KE_END); drivers are allowed to extend the list with their own private definitions.

code
    Device-specific data identifying the button/switch

{unnamed_union}
    anonymous

DESCRIPTION

This structure defines an entry in a sparse keymap used by some input devices for which traditional table-based approach is not suitable.

COPYRIGHT